package Model;

public class SimpleSensor extends Sensor{
    private IGenStrategy gen;

    public SimpleSensor(float t, String n,IGenStrategy genStrat) {
        super(t, n);
        this.gen = genStrat;
    }

    private void setStrategy(IGenStrategy g){
        gen = g;
    }

    @Override
    public void genTemp() {
        setTemperature(gen.generate());
    }
}
